#!/bin/sh

# This scripts runs all LAPACK tests against the BLAS and LAPACK implementations
# currently selected through the alternatives system
# (see "update-alternatives --display libblas.so.3" and
#  "update-alternatives --display liblapack.so.3").
# The BLAS and LAPACK implementations can be overriden using LD_LIBRARY_PATH.

# This script creates temporary files in the current directory.

for testfile in /usr/lib/lapack/x* /usr/lib/lapack/*.in
do
    ln -s ${testfile}
done

/usr/lib/lapack/lapack_testing.py -d . -r
